classification
Title: test_marshal always crashs on "AMD64 Windows10 2.7" buildbot
Type: crash Stage: resolved
Components: Tests, Windows Versions: Python 2.7
process
Status: closed Resolution: duplicate
Dependencies: Superseder: marshal needs a lower stack depth for debug builds on Windows
View: 22734
Assigned To: Nosy List: paul.moore, serhiy.storchaka, steve.dower, tim.golden, vstinner, zach.ware
Priority: critical Keywords:

Created on 2015-09-29 08:01 by vstinner, last changed 2016-11-03 19:06 by serhiy.storchaka. This issue is now closed.

Messages (3)
msg251828 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2015-09-29 08:01
test_marshal crash on Windows AMD64 since the first build of the "AMD64 Windows10 2.7" buildbot:

http://buildbot.python.org/all/builders/AMD64%20Windows10%202.7/builds/1/steps/test/logs/stdio

It crashs since this build of the "AMD64 Windows8 2.7" buildbot:

http://buildbot.python.org/all/builders/AMD64%20Windows8%202.7/builds/368/steps/test/logs/stdio

Blamelist:

    Change #43682
    Category 	None
    Changed by 	Zachary Ware <zachary.ware@gmail.com>
    Changed at 	Thu 16 Jul 2015 05:42:04
    Branch 	2.7
    Revision 	ca78b9449e040abf313659ea00ddcb6b20a68830
    Comments

    Close #24508: Backport the 3.5 MSBuild project files.

    The old project files move to PC/VS9.0 and remain supported.

    VS2008 is still required to build 2.7; VS2010 (or later, plus Windows SDK 7.1)
    is *also* required to use the new project files.

Between builds 367 and 368, the number of warnings doubled: 404 warnings => 796 warnings.


Recent build:

http://buildbot.python.org/all/builders/AMD64%20Windows10%202.7/builds/76/steps/test/logs/stdio

...
[ 53/401] test_marshal
program finished with exit code -1073741571
msg255068 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2015-11-21 20:03
Could anybody please run the test on Windows at found at least what test method is crashed? A stacktrace could help a lot too.
msg280008 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2016-11-03 19:06
Crashes seems was fixed in issue22734 and issue27019.
History
Date User Action Args
2016-11-03 19:06:21serhiy.storchakasetstatus: open -> closed
superseder: marshal needs a lower stack depth for debug builds on Windows
messages: + msg280008

resolution: duplicate
stage: resolved
2016-02-11 13:12:29serhiy.storchakasetpriority: high -> critical
2015-11-21 20:03:28serhiy.storchakasetmessages: + msg255068
2015-11-21 19:54:55serhiy.storchakasetpriority: normal -> high
nosy: + serhiy.storchaka
2015-09-29 08:01:48vstinnercreate